cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/licenses/surplus-lines \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/licenses/surplus-lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/licenses/surplus-lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"agencyName": "<string>",
"agencyNpn": "<string>",
"agencyFein": "<string>",
"surplusLinesLicenses": [
{
"licenseNumber": "<string>",
"licenseClassName": "<string>",
"licenseClassCode": "<string>",
"stateCode": "AL",
"status": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"nextRenewalDate": "2023-11-07T05:31:56Z",
"residencyStatus": "non-resident",
"linesOfAuthority": [
{
"code": "<string>",
"name": "<string>",
"status": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"statusReason": "<string>",
"statusReasonDate": "2023-11-07T05:31:56Z",
"continuingEducation": {
"status": "in compliance",
"renewalDate": "2023-11-07T05:31:56Z",
"creditsNeeded": 123
}
}
]
}
]
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Licenses
Get Downstream Entity Surplus Lines Licenses
Retrieve surplus lines license information for downstream entities
GET
/
v2
/
upstream
/
downstream-entity-associations
/
licenses
/
surplus-lines
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/licenses/surplus-lines \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/licenses/surplus-lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v2/upstream/downstream-entity-associations/licenses/surplus-lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"agencyName": "<string>",
"agencyNpn": "<string>",
"agencyFein": "<string>",
"surplusLinesLicenses": [
{
"licenseNumber": "<string>",
"licenseClassName": "<string>",
"licenseClassCode": "<string>",
"stateCode": "AL",
"status": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"nextRenewalDate": "2023-11-07T05:31:56Z",
"residencyStatus": "non-resident",
"linesOfAuthority": [
{
"code": "<string>",
"name": "<string>",
"status": "<string>",
"issueDate": "2023-11-07T05:31:56Z",
"statusReason": "<string>",
"statusReasonDate": "2023-11-07T05:31:56Z",
"continuingEducation": {
"status": "in compliance",
"renewalDate": "2023-11-07T05:31:56Z",
"creditsNeeded": 123
}
}
]
}
]
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns surplus lines license information for your downstream entity associations, meaning the agencies you appoint as a carrier or MGA.
Authorizations
bearerrestricted-access-token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Federal Employer Identification Number (FEIN) of the agency. Can be provided with or without hyphen (e.g., "12-3456789" or "123456789")
Example:
"12-3456789"
State code (two-letter abbreviation)
Example:
"FL"
Was this page helpful?